Bug 491820 - Review Request: ibus-sayura - The Sinhala IME engine for IBus
Review Request: ibus-sayura - The Sinhala IME engine for IBus
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-24 05:54 EDT by Pravin Satpute
Modified: 2009-03-26 07:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-26 07:12:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Pravin Satpute 2009-03-24 05:54:12 EDT
SPEC URL: http://pravins.fedorapeople.org/ibus-sayura/ibus-sayura.spec
SRPM URL: http://pravins.fedorapeople.org/ibus-sayura/ibus-sayura-1.0.0.20090324-1.fc11.src.rpm

Description: The Sinhala IME Engine for IBus
Comment 1 Parag AN(पराग) 2009-03-25 02:06:52 EDT
Review:
+ package builds in mock (rawhide i586).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1257587
+ rpmlint is silent for SRPM and RPM.
+ source files match upstream.
e426c362f97ddc0647dc732f684e86d9  ibus-sayura-1.0.0.20090324.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.

Suggestions:
1) remove following line from SPEC
rm -f $RPM_BUILD_ROOT%{python_sitearch}/_sayura.la

2) change following line to keep timestamps 
make DESTDIR=${RPM_BUILD_ROOT} install
to
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

APPROVED.
Comment 2 Pravin Satpute 2009-03-25 03:19:14 EDT
Thanks Parag for review

I will update as per suggestions at the time of cvs commit
Comment 3 Pravin Satpute 2009-03-25 04:06:41 EDT
New Package CVS Request
=======================
Package Name: ibus-sayura
Short Description: The Sinhala IME engine for IBus platform
Owners: pravins
Branches: devel
InitialCC:
Cvsextras Commits: yes
Comment 4 Jens Petersen 2009-03-26 05:21:49 EDT
cvs admin
Comment 5 Pravin Satpute 2009-03-26 07:12:01 EDT
built it for rawhide

thanks jens

Note You need to log in before you can comment on or make changes to this bug.